org.apache.tamaya.integration.cdi.internal

## Class TamayaCDIIntegration

- java.lang.Object
- - org.apache.tamaya.integration.cdi.internal.TamayaCDIIntegration

- All Implemented Interfaces:
    javax.enterprise.inject.spi.Extension

      public class TamayaCDIIntegration
      extends Object
      implements javax.enterprise.inject.spi.Extension

  Tamaya main integration with CDI, storing the BeanManager reference for implementation, where no JNDI is available or `java:comp/env/BeanManager` is not set correctly.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TamayaCDIIntegration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javax.enterprise.inject.spi.BeanManager` | `getBeanManager()` Get the current `BeanManager` instance.
    `void` | `initBeanManager(javax.enterprise.inject.spi.AfterDeploymentValidation validation, javax.enterprise.inject.spi.BeanManager beanManager)` Initializes the current BeanManager with the instance passed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TamayaCDIIntegration

          public TamayaCDIIntegration()

  - ### Method Detail

    - #### initBeanManager

          public void initBeanManager(@Observes
                             javax.enterprise.inject.spi.AfterDeploymentValidation validation,
                             javax.enterprise.inject.spi.BeanManager beanManager)

      Initializes the current BeanManager with the instance passed.
      Parameters:
        `validation` - the event
        `beanManager` - the BeanManager instance

    - #### getBeanManager

          public static javax.enterprise.inject.spi.BeanManager getBeanManager()

      Get the current `BeanManager` instance.
      Returns:
        the currently used bean manager.

Copyright © 2014–2016 Apache Software Foundation. All rights reserved.